Bug 1127977 - Component default description does not update when entering a bug.
Summary: Component default description does not update when entering a bug.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Creating/Changing Bugs
Version: 4.4
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: 4.4
Assignee: Matt Tyson 🤬
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-08 03:18 UTC by Rony Gong 🔥
Modified: 2018-12-09 06:29 UTC (History)
3 users (show)

Fixed In Version: 4.4.5025
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-10 02:47:49 UTC


Attachments (Terms of Use)

Description Rony Gong 🔥 2014-08-08 03:18:23 UTC
Description of problem:
Component default description does not update on the enter bug page

Version-Release number of selected component (if applicable):
4.4.5023

How reproducible:
Always

Steps to Reproduce:
1. Update a component's default description to another one in edit component page
2. Create a new bug by select this updated component
3. Check the description content.

Actual results:
The description content keep same as before, not show as new default description template of the selected component.

Expected results:
The description content should show as new default description template of the selected component.

Additional info:
Check the table "components" and find the value of column "template_to_use"  updated.

Comment 1 Matt Tyson 🤬 2014-08-15 03:03:11 UTC
The code to originally do this was in place, but the calls to it had gotten lost at some point.

I've re-enabled it for the regular select box case.

I've had to change the way it works for the case where we use the YUI autocomplete to chose the drop down box.  In that case we key on component ID and return the component ID as part of the Ajax call.

Comment 3 Rony Gong 🔥 2014-08-26 05:07:27 UTC
Verified on QA environment(bzweb01-qe) with version(4.4.5025-1)
Result: Pass

Comment 4 Matt Tyson 🤬 2014-09-10 02:47:49 UTC
This change is now live. If there are any issues, do not reopen this bug.
Instead, you should create a new bug and reference this bug.


Note You need to log in before you can comment on or make changes to this bug.